Get wallet net worth
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/wallets/{address}/net-worth \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/wallets/{address}/net-worth"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/wallets/{address}/net-worth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_networth_usd": "3879851.41",
"chains": [
{
"chain": "eth",
"native_balance": "1085513807021271641379",
"native_balance_formatted": "1085.513807021271641379",
"native_balance_usd": "3158392.48",
"token_balance_usd": "721458.93",
"networth_usd": "3879851.41"
}
],
"unsupported_chain_ids": [
"<string>"
],
"unavailable_chains": [
{
"chain_id": "0x1"
}
]
}Net Worth & PnL
Wallet Net Worth
Calculate the total net worth of a wallet in USD, with options to exclude spam tokens for accuracy. Options to query cross-chain using the chains parameter, as well as additional options to exclude spam tokens, low-liquidity tokens and inactive tokens.
GET
/
wallets
/
{address}
/
net-worth
Get wallet net worth
Authorizations
Path Parameters
The wallet address
Example:
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chains to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Exclude spam tokens from the result
Example:
true
Exclude unverified contracts from the result
Example:
true
Exclude tokens inactive for more than the given amount of days
Example:
1
Exclude tokens with liquidity less than the specified amount in USD. This parameter refers to the liquidity on a single side of the pair.
Example:
1000
Response
200 - application/json
Returns the net worth of a wallet in USD

